| Face Engine SDK 5.7.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
fsdk::IHeadAndShouldersLivenessEstimator Struct Referenceabstract

Head And Shoulders estimator interface. More...

`#include <IHeadAndShouldersLivenessEstimator.h>`

Inheritance diagram for fsdk::IHeadAndShouldersLivenessEstimator:

## Public Member Functions
virtual ResultValue< FSDKError, float > | estimateHeadLiveness (const Image &image, const Detection &detection) const noexcept=0
| Estimate the head liveness. More...
virtual ResultValue< FSDKError, float > | estimateShouldersLiveness (const Image &image, const Detection &detection) const noexcept=0
| Estimate the shoulders liveness. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

Head And Shoulders estimator interface.

Note
  This estimator is designed to work with Image and detection;

## Member Function Documentation

virtual ResultValue<FSDKError, float> fsdk::IHeadAndShouldersLivenessEstimator::estimateHeadLiveness | ( | const Image & | image,
|  | const Detection & | detection
| ) |  | const
| pure virtual noexcept

Estimate the head liveness.

Search for rect around head.

Parameters

  [in] | image | source image.
  [in] | detection | detection coordinates in image space.

Returns
  ResultValue with error code and score of estimation. Score normalized in range [0..1], 1 - is real person, 0 - is fake.

See Also
  Detection, Image, ResultValue and FSDKError for details.

Note
  image format must be R8G8B8,

See Also
  Format.

virtual ResultValue<FSDKError, float> fsdk::IHeadAndShouldersLivenessEstimator::estimateShouldersLiveness | ( | const Image & | image,
|  | const Detection & | detection
| ) |  | const
| pure virtual noexcept

Estimate the shoulders liveness.

Compare the position of body with position of head.

Parameters

  [in] | image | source image.
  [in] | detection | detection coordinates in image space.

Returns
  ResultValue with error code and score of estimation. Score normalized in range [0..1], 1 - is real person, 0 - is fake.

See Also
  Detection, Image, ResultValue and FSDKError for details.

Note
  image format must be R8G8B8,

See Also
  Format.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/IHeadAndShouldersLivenessEstimator.h